using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Action
{
    /// enuleration des diffrents type d'objet disponible pour le joueur
    /// 
    /// 
    public enum ActionType
    {
        parc,
        habitations,
        bureaux,
    }

    public ActionType actionType;

    /// association un chaque type d'Item du visuel 
    /// 
    /// 
    /// <returns>retourne un Sprite : visuel de l'item choisit</returns>
    public Sprite GetSprite()
    {
        switch (actionType)
        {
            default:
            case ActionType.parc: return ActionAsset.Instance.parc;
            case ActionType.habitations: return ActionAsset.Instance.habitations;
            case ActionType.bureaux: return ActionAsset.Instance.bureaux;
        }
    }
}